% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/decon.R
\name{decontX}
\alias{decontX}
\title{Decontaminate count matrix}
\usage{
decontX(counts, z = NULL, batch = NULL, maxIter = 200,
  beta = 1e-06, delta = 10, logfile = NULL, verbose = TRUE)
}
\arguments{
\item{counts}{Numeric/Integer matrix. Observed count matrix, rows represent
features and columns represent cells.}

\item{z}{Integer vector. Cell population labels. Default NULL.}

\item{batch}{Integer vector. Cell batch labels. Default NULL.}

\item{maxIter}{Integer. Maximum iterations of EM algorithm. Default to be
200.}

\item{beta}{Numeric. Concentration parameter for Phi. Default to be 1e-6.}

\item{delta}{Numeric. Symmetric concentration parameter for Theta. Default
to be 10.}

\item{logfile}{Character. Messages will be redirected to a file named
`logfile`. If NULL, messages will be printed to stdout.  Default NULL.}

\item{verbose}{Logical. Whether to print log messages. Default TRUE.}
}
\value{
A list object which contains the decontaminated count matrix and
 related parameters.
}
\description{
This function updates decontamination on dataset with multiple
 batches.
}
\examples{
data(contaminationSim)
deconC <- decontX(counts = contaminationSim$rmat + contaminationSim$cmat,
 z = contaminationSim$z, maxIter = 3)
deconBg <- decontX(counts = contaminationSim$rmat + contaminationSim$cmat,
 maxIter = 3)
}
